diff --git a/contrib/adminpack/adminpack.c b/contrib/adminpack/adminpack.c
index 7d0a19b294..3f4b06fdbb 100644
--- a/contrib/adminpack/adminpack.c
+++ b/contrib/adminpack/adminpack.c
@@ -184,7 +184,7 @@ pg_file_write_internal(text *file, text *data, bool replace)
 
 		if (stat(filename, &fst) >= 0)
 			ereport(ERROR,
-					(ERRCODE_DUPLICATE_FILE,
+					(errcode(ERRCODE_DUPLICATE_FILE),
 					 errmsg("file \"%s\" exists", filename)));
 
 		f = AllocateFile(filename, "wb");
@@ -340,7 +340,7 @@ pg_file_rename_internal(text *file1, text *file2, text *file3)
 	if (rc >= 0 || errno != ENOENT)
 	{
 		ereport(ERROR,
-				(ERRCODE_DUPLICATE_FILE,
+				(errcode(ERRCODE_DUPLICATE_FILE),
 				 errmsg("cannot rename to target file \"%s\"",
 						fn3 ? fn3 : fn2)));
 	}
@@ -371,7 +371,7 @@ pg_file_rename_internal(text *file1, text *file2, text *file3)
 			else
 			{
 				ereport(ERROR,
-						(ERRCODE_UNDEFINED_FILE,
+						(errcode(ERRCODE_UNDEFINED_FILE),
 						 errmsg("renaming \"%s\" to \"%s\" was reverted",
 								fn2, fn3)));
 			}
diff --git a/src/backend/storage/page/bufpage.c b/src/backend/storage/page/bufpage.c
index cb7b8c8a63..d708117a40 100644
--- a/src/backend/storage/page/bufpage.c
+++ b/src/backend/storage/page/bufpage.c
@@ -141,7 +141,7 @@ PageIsVerified(Page page, BlockNumber blkno)
 	if (checksum_failure)
 	{
 		ereport(WARNING,
-				(ERRCODE_DATA_CORRUPTED,
+				(errcode(ERRCODE_DATA_CORRUPTED),
 				 errmsg("page verification failed, calculated checksum %u but expected %u",
 						checksum, p->pd_checksum)));
 
